Package org.eclipse.cdt.core.settings.model.util

## Interface IPathSettingsContainerListener

    public interface IPathSettingsContainerListener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `aboutToRemove​(PathSettingsContainer container)`
`void` `containerAdded​(PathSettingsContainer container)`
`void` `containerPathChanged​(PathSettingsContainer container, org.eclipse.core.runtime.IPath oldPath, boolean childrenMoved)`
`void` `containerValueChanged​(PathSettingsContainer container, Object oldValue)`

### Method Detail

#### containerAdded

    void containerAdded​(PathSettingsContainer container)

#### aboutToRemove

    void aboutToRemove​(PathSettingsContainer container)

#### containerValueChanged

    void containerValueChanged​(PathSettingsContainer container,
                               Object oldValue)

#### containerPathChanged

    void containerPathChanged​(PathSettingsContainer container,
                              org.eclipse.core.runtime.IPath oldPath,
                              boolean childrenMoved)